package com.brilliance.isc.swift.swifteditor.tag.message;

import java.util.List;

public class CYCList extends AbstractMessageArea {
	
	private final int  type = CYCLIST; 
	
	public CYCList clone() {
		CYCList cp =new CYCList();
		
		cp.setName(this.getName());
		List<MessageArea> fields = this.getFields();
		for(MessageArea field : fields)
			cp.addSubArea(field.clone());
		cp.setPattern(this.getPattern().clone());
		cp.setAnlyReg(this.getAnlyReg());
		return cp;
	}

	public int getType() {
		return type;
	}

}
